Bug 35435 - Merge ValidityState-stepMismatch-{number,range,unsupported}.html and input-step-{number,range,unsupported}.html to other tests
: Merge ValidityState-stepMismatch-{number,range,unsupported}.html and input-st...
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Tools / Tests
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-26 09:31 PST by Kent Tamura
Modified: 2010-03-02 12:32 PST (History)
3 users (show)

See Also:


Attachments
Proposed patch (61.28 KB, patch)
2010-02-26 09:34 PST, Kent Tamura
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Tamura 2010-02-26 09:31:26 PST
Merge ValidityState-stepMismatch-{number,range,unsupported}.html and input-step-{number,range,unsupported}.html to other tests
Comment 1 Kent Tamura 2010-02-26 09:34:02 PST
Created attachment 49594 [details]
Proposed patch
Comment 2 David Levin 2010-02-26 14:35:04 PST
Why?
Comment 3 Kent Tamura 2010-02-27 07:09:21 PST
(In reply to comment #2)
> Why?

It's an advice by Darin (Apple).
We don't need to separate related tests into multiple files for script-tests because we can detect what test failed by looking at the test result.

However the separated tests are not wrong.  This change is not important at all.
Comment 4 Kent Tamura 2010-02-27 07:09:58 PST
(In reply to comment #2)
> Why?
Comment 5 Shinichiro Hamaji 2010-03-01 00:21:31 PST
Comment on attachment 49594 [details]
Proposed patch

Looks good, but could you check if the combined test is fast enough in debug mode? Sometimes big tests introduce flakiness...

Also, could you put the bug number where Darin commented in this bug? It would make the motivation of this change clearer.
Comment 6 Kent Tamura 2010-03-01 02:44:15 PST
(In reply to comment #5)
> (From update of attachment 49594 [details])
> Looks good, but could you check if the combined test is fast enough in debug
> mode? Sometimes big tests introduce flakiness...

For run-webkit-tests --debug LayoutTests/fast/forms/ValidityState-stepMismatch.html LayoutTests/fast/forms/input-stepup-stepdown.html,

| Running tests from /Users/tkent/WebKit/LayoutTests
| Testing 2 test cases.
| fast/forms ..
| 0.68s total testing time
| 
| all 2 test cases succeeded

> Also, could you put the bug number where Darin commented in this bug? It would
> make the motivation of this change clearer.

https://bugs.webkit.org/show_bug.cgi?id=34483#c2
Comment 7 WebKit Commit Bot 2010-03-02 12:32:04 PST
Comment on attachment 49594 [details]
Proposed patch

Clearing flags on attachment: 49594

Committed r55423: <http://trac.webkit.org/changeset/55423>
Comment 8 WebKit Commit Bot 2010-03-02 12:32:09 PST
All reviewed patches have been landed.  Closing bug.